﻿@model MvcWebsiteOcc.Areas.administrators.Models.Event

@{
    ViewBag.Title = "Sửa sự kiện";
    ViewBag.Description = "tin bài";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Event> linkObjs = ViewBag.LinkObjs;
    MvcWebsiteOcc.Areas.administrators.Models.Event linkObj = ViewBag.LinkObj;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" id="editID" name="editID" value="@Model.EventID" />
    @Html.HiddenFor(m => m.EventID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/events_manager/events_views'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a></li>
                                    @*<li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  *@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Nội dung tin bài
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.EventName)</label>
                                                        @Html.TextBoxFor(p => p.EventName, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.EventName)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">Subdomain</label>
                                                        @Html.TextBoxFor(p => p.Subdomain, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Subdomain)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.Address)</label>
                                                        @Html.TextBoxFor(p => p.Address, new { @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.Address)</span>
                                                    </div>
                                                    @*    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].NewsAuthor)</label>
                                                        @Html.TextBoxFor(p => p[i].NewsAuthor, new { @class = "form-control", Value = HttpContext.Current.User.Identity.Name })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].NewsAuthor)</span>
                                                    </div>*@
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ShortDescription)</label>
                                                        @Html.TextAreaFor(p => p.ShortDescription, new { placeholder = "Địa chỉ", @class = "form-control summernote textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ShortDescription)</span>
                                                    </div>
                                                </div>


                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Ngôn ngữ
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <select class="select" id="Lang_ID" name="Lang_ID" style="width: 100%">
                                                                    @{foreach (var lang in langs)
                                                                      {
                                                                          if (lang.Lang_ID == Model.Lang_ID)
                                                                          {
                                                                        <option value="@lang.Lang_ID" selected="selected">@lang.Lang_Name</option> 
                                                                          }
                                                                          else
                                                                          {
                                                                        <option value="@lang.Lang_ID" disabled="disabled">@lang.Lang_Name</option> 
                                                                          }
                                                                      }
                                                                    }

                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    @{if (linkObj != null)
                                                      {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <img src="/Uploaded/images/language/@linkObj.Language.Lang_Flag">
                                                                </span>
                                                                @* <span class="input-group-btn">
                                                                <button class="btn" type="button">Go</button>

                                                            </span>*@
                                                                <input type="hidden" name="LinkID" value="@linkObj.EventID" />
                                                                @Html.TextBox("linkName", linkObj.EventName, new { @class = "form-control", @readonly = "readonly" })
                                                            </div>
                                                        </div>
                                                      }

                                                      if (linkObjs != null)
                                                      {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            @{foreach (var lOb in linkObjs)
                                                              {
                                                                <div class="input-group">
                                                                    <span class="input-group-addon">
                                                                        <img src="/Uploaded/images/language/@lOb.Language.Lang_Flag">
                                                                    </span>

                                                                    <input type="hidden" name="LinkID" value="@lOb.EventID" />
                                                                    @Html.TextBox("linkName", lOb.EventName, new { @class = "form-control", @readonly = "readonly" })
                                                                </div>
                                                              }}

                                                        </div> 
                                                            
                                                      }
                                                    }
                                                    <div class="form-title">
                                                        Thể loại
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block warning">@ViewBag.CateError</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <input type="hidden" id="Lang_Select" />

                                                            <div id="dvCategoryResults">
                                                                @{Html.RenderAction("_events_cate_edit", "events_manager", new { newCateID = Model.EventCateID, langID = Model.Lang_ID });}
                                                            </div>
                                                            <span class="help-block warning">@Html.ValidationMessageFor(p => p.EventCateID)</span>
                                                        </div>

                                                    </div>

                                                    <div class="form-title">
                                                        Thời gian
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <div class="controls">
                                                                    <div class="input-group">
                                                                        <input readonly="readonly" type="text" class="form-control date-range pull-right " name="date_start_end" value="@Model.TimeStart.ToString("dd/MM/yyyy") - @Model.TimeEnd.ToString("dd/MM/yyyy")" 
                                                                               data-mask="99/99/9999 - 99/99/9999"/>
                                                                        <span class="input-group-addon">
                                                                            <i class="fa fa-calendar"></i>
                                                                        </span>

                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="form-title">
                                                        Poster
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>
                                                        @Html.HiddenFor(m => m.EventPoster)
                                                        @Html.HiddenFor(m => m.Folder)
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @{if (Model.EventPoster != null)
                                                              {
                                                                @(Html.Kendo().Upload()
                                                                    .Name("file_image")
                                                                    .TemplateId("fileTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Multiple(false)
                                                                    .Async(ass => ass
                                                                    .Save("updateEventPoster", "events_manager", new { id = Model.EventID })
                                                                    .AutoUpload(true))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                    .Files(
                                                                    files =>
                                                                    {
                                                                        files.Add().Name(Model.Folder + "/" + Model.EventPoster);
                                                                    })
                                                                   )
                                                                <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/sukien/#=name#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                    
                                                                        </button>
                                                                    </strong>

                                                                </script>
                                                              }
                                                              else
                                                              {
                                                                @(Html.Kendo().Upload()
                                                                    .Name("file_image")
                                                                    .TemplateId("fileTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Multiple(false)

                                                                   )
                                                                <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                  
                                                                    </button>
                                                                </strong>

                                                                </script>
                                                              }}

                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        Logo
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>
                                                        @Html.HiddenFor(m => m.EventLogo)
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @{if (Model.EventLogo != null)
                                                              {
                                                                @(Html.Kendo().Upload()
                                                                    .Name("file_image_logo")
                                                                    .TemplateId("fileTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Multiple(false)
                                                                    .Async(ass => ass
                                                                    .Save("updateEventLogo", "events_manager", new { id = Model.EventID })
                                                                    .AutoUpload(true))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                    .Files(
                                                                    files =>
                                                                    {
                                                                        files.Add().Name(Model.Folder + "/" + Model.EventLogo);
                                                                    })
                                                                   )
                                                                <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/sukien/#=name#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                    
                                                                        </button>
                                                                    </strong>

                                                                </script>
                                                              }
                                                              else
                                                              {
                                                                @(Html.Kendo().Upload()
                                                                    .Name("file_image_logo")
                                                                    .TemplateId("fileTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Multiple(false)

                                                                   )
                                                                <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                  
                                                                    </button>
                                                                </strong>

                                                                </script>
                                                              }}

                                                        </div>

                                                    </div>

                                                    <div class="form-title">
                                                        File giới thiệu
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">FIle có định dạng .doc, .pdf ... ! </span>
                                                        </div>

                                                        @Html.HiddenFor(m => m.FileDownload)
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @{if (Model.FileDownload != null)
                                                              {
                                                                @(Html.Kendo().Upload()
                                                                    .Name("file_download")
                                                                    .TemplateId("langTemplate")
                                                                    .Events(events => events.Select("onSelectFile"))
                                                                    .Messages(m => m.Select("Upload file"))
                                                                    .Multiple(false)
                                                                    .Async(ass => ass
                                                                    .Save("updateEventFile", "events_manager", new { id = Model.EventID })
                                                                    .AutoUpload(true))
                                                                    .Messages(m => m.Select("Upload ảnh"))
                                                                    .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                    .Files(
                                                                    files =>
                                                                    {
                                                                        files.Add().Name(Model.Folder + "/" + Model.FileDownload);
                                                                    })
                                                                   )
                                                                <script id="langTemplate" type="text/x-kendo-template">
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                   
                                                                        </button>
                                                                    </strong>
                                                                </script> 
                                                              }
                                                              else
                                                              {
                                                                @(Html.Kendo().Upload()
                                                                    .Name("file_download")
                                                                    .TemplateId("langTemplate")
                                                                    .Events(events => events.Select("onSelectFile"))
                                                                    .Messages(m => m.Select("Upload file"))
                                                                    .Multiple(false)
                                                                   )
                                                                <script id="langTemplate" type="text/x-kendo-template">
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                    
                                                                        </button>
                                                                    </strong>
                                                                </script>
                                                              }}
                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        Background trang sự kiện
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <input type="text" name="BackGround" class="form-control colorpicker" value="@Model.BackGround">
                                                            </div>
                                                        </div>
                                                    </div>


                                                    <div class="form-title">
                                                        Trạng thái
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">Trạng thái</label>
                                                                @{if (Model.IsActive == true)
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label>
                                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                                            <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                    </div> 
                                                                  }
                                                                  else
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label>
                                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" />
                                                                            <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                    </div>
                                                                  }}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>

                                        </div>
                                    </div>


                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="widget-header header-large" style="display: block;">
                    @*<span class="widget-caption">@ViewBag.Title</span>*@
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/events_manager/events_views'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        @*<a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>*@
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>



    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>
    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script src="/Static/admin/assets/js/datetime/moment.js"></script>
    <script src="/Static/admin/assets/js/datetime/daterangepicker.js"></script>
    <!--jQUery MiniColors-->
    <script src="/Static/admin/assets/js/colorpicker/jquery.minicolors.js"></script>
    <script>
        //--jQuery MiniColors--
        $('.colorpicker').each(function () {
            $(this).minicolors({
                control: $(this).attr('data-control') || 'hue',
                defaultValue: $(this).attr('data-defaultValue') || '',
                inline: $(this).attr('data-inline') === 'true',
                letterCase: $(this).attr('data-letterCase') || 'lowercase',
                opacity: $(this).attr('data-opacity'),
                position: $(this).attr('data-position') || 'bottom left',
                change: function (hex, opacity) {
                    if (!hex) return;
                    if (opacity) hex += ', ' + opacity;
                    try {
                        console.log(hex);
                    } catch (e) { }
                },
                theme: 'bootstrap'
            });

        });

        $('.date-range').daterangepicker();
        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();
        $('.textAuto').autosize({ append: "\n" });

        //$('select[id=Lang_ID]').change(function () {
        //    $('')
        //    alert($(this).val()
        //        );
        //});
        $('#Lang_ID').change(function () {

            /* Get the selected value of dropdownlist */
            var selectedID = $(this).val();
            var editID = $('#editID').val();
            $("#dvCategoryResults").load('/administrators/events_manager/_events_newscate_edit?id=' + editID + '&langID=' + selectedID);

        });

        $(document).ready(function () {

            $("#events").addClass("active open");
            $("#event").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/events_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });

    </script>

}